{
  template: '${tmpl}',
    data: function() {
      return {
        multipleSelection: [],
        isSingleSelect: false,
      }
    },
  mounted: function() {

  },
  created: function() {
  },
  methods: {
    onColFormater(row, column, cellvalue, index){
      if (column.property == "isPubed") {
        if (row["isPubed"]) {
          return "是";
        } else {
          return "否";
        }
      }
      else if (column.property == "pid") {
        if (row["pid"] && Number(row["pid"]) > 0) {
          return "否";
          /* this.$root.postReq("/web/producttypeCtl/getProductType", { company_id: row["company_id"], pid: row["pid"] }).then(function (d) {
             console.log(d, "getProductType...........................");
             if (d && d.code == 1) {
               return d.name;
             } else {
               return "大类";
             }
           });
           */
        } else {
          return "是";
        }
      } else {
        return cellvalue;
      }
    },
    handleSelectionChange: function(val) {
      this.multipleSelection = val;
      console.log(val);
    },
    onRowClick(row, key, e){
      if (key == "stopUser") {

      }
    },

  },
  computed: Vuex.mapState({
    count: state => state.count,
    headStyle: function () {
      return { "background-color": "white" };
    }
  }),
    vname: "gsb_producttype"
}
